Skip to main content
PATCH
/
v1
/
projects
/
{projectIdOrName}
/
feature-flags
/
settings
updateFlagSettings
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.featureFlags.updateFlagSettings({
    projectIdOrName: "<value>",
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
{
  "typeName": "settings",
  "projectId": "<string>",
  "enabled": false,
  "environments": [
    "<string>"
  ],
  "entities": [
    {
      "kind": "<string>",
      "label": "<string>",
      "attributes": [
        {
          "key": "<string>",
          "type": "<string>",
          "labels": [
            {
              "label": "<string>",
              "value": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "metadata": {
    "activeFlagCount": 123,
    "archivedFlagCount": 123,
    "segmentCount": 123,
    "packSizeInBytes": 123,
    "packRevision": 123,
    "configUpdatedAt": 123
  },
  "ownerId": "<string>",
  "connections": [
    {
      "edgeConfigId": "<string>",
      "edgeConfigItemKey": "<string>"
    }
  ],
  "createdAt": 123,
  "updatedAt": 123
}

Authorizations

Authorization
string
header
required

Default authentication mechanism

Path Parameters

projectIdOrName
string
required

The project id or name

Query Parameters

teamId
string

The Team identifier to perform the request on behalf of.

Example:

"team_1a2b3c4d5e6f7g8h9i0j1k2l"

slug
string

The Team slug to perform the request on behalf of.

Example:

"my-team-url-slug"

Body

application/json
enabled
boolean
entities
object[]
Maximum array length: 32
environments
string[]

The environments to sync

Response

Syncs direct the synchronization of Flags to Edge Configs

typeName
enum<string>
required
Available options:
settings
projectId
string
required
enabled
enum<boolean>
required
Available options:
false,
true
environments
string[]
required
entities
object[]
required
metadata
object
required
ownerId
string
connections
object[]
createdAt
number
updatedAt
number